## FoUnknown

FoUnknown —

## Synopsis

                FoUnknown;
                FoUnknownClass;
    FoDatatype* fo_unknown_new                  (void);
    gchar*      fo_unknown_get_value            (FoDatatype *unknown);
    void        fo_unknown_set_value            (FoDatatype *unknown,
                                                 const gchar *new_value);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoUnknown

## Properties

      "value"                gchararray            : Read / Write

## Description

## Details

### FoUnknown

    typedef struct _FoUnknown FoUnknown;

### FoUnknownClass

    typedef struct _FoUnknownClass FoUnknownClass;

### fo_unknown_new ()

    FoDatatype* fo_unknown_new                  (void);

Creates a new FoUnknown initialized to default value.

Returns : | the new FoUnknown

### fo_unknown_get_value ()

    gchar*      fo_unknown_get_value            (FoDatatype *unknown);

`unknown` : |
Returns : |

### fo_unknown_set_value ()

    void        fo_unknown_set_value            (FoDatatype *unknown,
                                                 const gchar *new_value);

`unknown` : |
`new_value` : |

## Property Details

### The "`value`" property

      "value"                gchararray            : Read / Write

Unknown value.

Default value: NULL